package com.rjconsultores.ventaboletos.exception;

import java.text.MessageFormat;

import org.zkoss.util.resource.Labels;

public class BusinessException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	/**
	 * 
	 * @param message
	 *            - La clave del archivo de traduccion
	 */
	public BusinessException(String message) {
		super(Labels.getLabel(message) == null ? message :Labels.getLabel(message));
	}
	
	/**
	 * 
	 * @param message- La clave del archivo de traduccion
	 * @param oMsg   - Los parametros de la mensage
	 */
	public BusinessException(String message,Object oMsg) {
		super(new MessageFormat(Labels.getLabel(message)).format(oMsg));
	}
}
